OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class IpListFromUrl

    java.lang.Object
      org.opennms.netmgt.utils.IpListFromUrl

public class IpListFromUrl
extends java.lang.Object

Convenience class for generating a list of IP addresses from a file URL.

Field Summary
`private static char` `COMMENT_CHAR` This character at the start of a line indicates a comment line in a URL file
`private static java.lang.String` `COMMENT_STR` The string indicating the start of the comments in a line containing the IP address in a file URL

Constructor Summary
`IpListFromUrl()`

Method Summary
`static java.util.List` `parse(java.lang.String url)` This method is used to read all interfaces from an URL file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMENT_STR

    private static final java.lang.String COMMENT_STR

  The string indicating the start of the comments in a line containing the IP address in a file URL

  See Also:
    Constant Field Values

### COMMENT_CHAR

    private static final char COMMENT_CHAR

  This character at the start of a line indicates a comment line in a URL file

  See Also:
    Constant Field Values

Constructor Detail

### IpListFromUrl

    public IpListFromUrl()

Method Detail

### parse

    public static java.util.List parse(java.lang.String url)

  This method is used to read all interfaces from an URL file.

       The file URL is read and each entry in this file checked. Each line
        in the URL file can be one of -
        <IP><space>#<comments>
        or
        <IP>
        or
        #<comments>

        Lines starting with a '#' are ignored and so are characters after
        a '<space>#' in a line.

  Parameters:
    `url` - The url file to read
  Returns:
    list of IPs in the file

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.